Loading...
Searching...
No Matches
ON_MeshParameters Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Types

enum | MESH_STYLE { unset_mesh_style = 0 , render_mesh_fast = 1 , render_mesh_quality = 2 , render_mesh_custom = 9 , render_mesh_per_object = 10 }

## Public Member Functions

| ON_MeshParameters ()
| ~ON_MeshParameters ()
bool | operator!= (const ON_MeshParameters &) const
bool | operator== (const ON_MeshParameters &) const
bool | operator== (const ON_Mesh &) const
bool | operator!= (const ON_Mesh &) const
void | Dump (ON_TextLog &test_log) const
void | Default ()
void | Set (double density, double min_edge_length=0.0001)
ON_DEPRECATED void | JaggedAndFasterMeshParameters ()
ON_DEPRECATED void | SmoothAndSlowerMeshParameters ()
void | DefaultAnalysisMeshParameters ()
int | Compare (const ON_MeshParameters &) const
int | CompareGeometrySettings (const ON_MeshParameters &) const
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
ON__UINT32 | DataCRC (ON__UINT32) const

## Static Public Member Functions

static double | Tolerance (double relative_tolerance, double actual_size)
static double | MinEdgeLength (double max_edge_length, double tolerance)

## Public Attributes

bool | m_bCustomSettings
bool | m_bComputeCurvature
bool | m_bSimplePlanes
bool | m_bRefine
bool | m_bJaggedSeams
bool | m_bDoublePrecision
bool | m_bCustomSettingsEnabled
unsigned char | m_mesher
int | m_texture_range
double | m_tolerance
double | m_relative_tolerance
double | m_min_tolerance
double | m_min_edge_length
double | m_max_edge_length
double | m_grid_aspect_ratio
int | m_grid_min_count
int | m_grid_max_count
double | m_grid_angle
double | m_grid_amplification
double | m_refine_angle
int | m_face_type

## Static Public Attributes

static const ON_MeshParameters | FastRenderMesh
static const ON_MeshParameters | QualityRenderMesh

## Detailed Description

Definition at line 24 of file opennurbs_mesh.h.

## Member Enumeration Documentation

## MESH_STYLE

enum ON_MeshParameters::MESH_STYLE

Enumerator
unset_mesh_style |
render_mesh_fast |
render_mesh_quality |
render_mesh_custom |
render_mesh_per_object |

Definition at line 29 of file opennurbs_mesh.h.

## Constructor & Destructor Documentation

## ON_MeshParameters()

ON_MeshParameters::ON_MeshParameters | ( |  | ) |

Referenced by Compare(), CompareGeometrySettings(), operator!=(), and operator==().

## ~ON_MeshParameters()

ON_MeshParameters::~ON_MeshParameters | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_MeshParameters::Compare | ( | const ON_MeshParameters & |  | ) | const

References ON_MeshParameters().

## CompareGeometrySettings()

int ON_MeshParameters::CompareGeometrySettings | ( | const ON_MeshParameters & |  | ) | const

References ON_MeshParameters().

## DataCRC()

ON__UINT32 ON_MeshParameters::DataCRC | ( | ON__UINT32 |  | ) | const

## Default()

void ON_MeshParameters::Default | ( |  | ) |

## DefaultAnalysisMeshParameters()

void ON_MeshParameters::DefaultAnalysisMeshParameters | ( |  | ) |

## Dump()

void ON_MeshParameters::Dump | ( | ON_TextLog & | test_log | ) | const

## JaggedAndFasterMeshParameters()

ON_DEPRECATED void ON_MeshParameters::JaggedAndFasterMeshParameters | ( |  | ) |

## MinEdgeLength()

double ON_MeshParameters::MinEdgeLength | ( | double | max_edge_length,
|  | double | tolerance )

static

## operator!=() [1/2]

bool ON_MeshParameters::operator!= | ( | const ON_Mesh & |  | ) | const

## operator!=() [2/2]

bool ON_MeshParameters::operator!= | ( | const ON_MeshParameters & |  | ) | const

References ON_MeshParameters().

## operator==() [1/2]

bool ON_MeshParameters::operator== | ( | const ON_Mesh & |  | ) | const

## operator==() [2/2]

bool ON_MeshParameters::operator== | ( | const ON_MeshParameters & |  | ) | const

References ON_MeshParameters().

## Read()

bool ON_MeshParameters::Read | ( | ON_BinaryArchive & |  | ) |

## Set()

void ON_MeshParameters::Set | ( | double | density,
|  | double | min_edge_length = 0.0001 )

## SmoothAndSlowerMeshParameters()

ON_DEPRECATED void ON_MeshParameters::SmoothAndSlowerMeshParameters | ( |  | ) |

## Tolerance()

double ON_MeshParameters::Tolerance | ( | double | relative_tolerance,
|  | double | actual_size )

static

## Write()

bool ON_MeshParameters::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## FastRenderMesh

const ON_MeshParameters ON_MeshParameters::FastRenderMesh

static

Definition at line 47 of file opennurbs_mesh.h.

## m_bComputeCurvature

bool ON_MeshParameters::m_bComputeCurvature

Definition at line 171 of file opennurbs_mesh.h.

## m_bCustomSettings

bool ON_MeshParameters::m_bCustomSettings

Definition at line 163 of file opennurbs_mesh.h.

## m_bCustomSettingsEnabled

bool ON_MeshParameters::m_bCustomSettingsEnabled

Definition at line 196 of file opennurbs_mesh.h.

## m_bDoublePrecision

bool ON_MeshParameters::m_bDoublePrecision

Definition at line 190 of file opennurbs_mesh.h.

## m_bJaggedSeams

bool ON_MeshParameters::m_bJaggedSeams

Definition at line 183 of file opennurbs_mesh.h.

## m_bRefine

bool ON_MeshParameters::m_bRefine

Definition at line 180 of file opennurbs_mesh.h.

## m_bSimplePlanes

bool ON_MeshParameters::m_bSimplePlanes

Definition at line 174 of file opennurbs_mesh.h.

## m_face_type

int ON_MeshParameters::m_face_type

Definition at line 265 of file opennurbs_mesh.h.

## m_grid_amplification

double ON_MeshParameters::m_grid_amplification

Definition at line 254 of file opennurbs_mesh.h.

## m_grid_angle

double ON_MeshParameters::m_grid_angle

Definition at line 251 of file opennurbs_mesh.h.

## m_grid_aspect_ratio

double ON_MeshParameters::m_grid_aspect_ratio

Definition at line 246 of file opennurbs_mesh.h.

## m_grid_max_count

int ON_MeshParameters::m_grid_max_count

Definition at line 250 of file opennurbs_mesh.h.

## m_grid_min_count

int ON_MeshParameters::m_grid_min_count

Definition at line 249 of file opennurbs_mesh.h.

## m_max_edge_length

double ON_MeshParameters::m_max_edge_length

Definition at line 241 of file opennurbs_mesh.h.

## m_mesher

unsigned char ON_MeshParameters::m_mesher

Definition at line 200 of file opennurbs_mesh.h.

## m_min_edge_length

double ON_MeshParameters::m_min_edge_length

Definition at line 237 of file opennurbs_mesh.h.

## m_min_tolerance

double ON_MeshParameters::m_min_tolerance

Definition at line 229 of file opennurbs_mesh.h.

## m_refine_angle

double ON_MeshParameters::m_refine_angle

Definition at line 261 of file opennurbs_mesh.h.

## m_relative_tolerance

double ON_MeshParameters::m_relative_tolerance

Definition at line 228 of file opennurbs_mesh.h.

## m_texture_range

int ON_MeshParameters::m_texture_range

Definition at line 202 of file opennurbs_mesh.h.

## m_tolerance

double ON_MeshParameters::m_tolerance

Definition at line 225 of file opennurbs_mesh.h.

## QualityRenderMesh

const ON_MeshParameters ON_MeshParameters::QualityRenderMesh

static

Definition at line 55 of file opennurbs_mesh.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h